<?xml version="1.0" encoding="UTF-8"?>
<!-- ================================================================================ -->
<!-- ==== SubsetBusinessRoleCode - Code List Schema Module                       ==== -->
<!-- ================================================================================ -->
<!--
Schema agency:     ebIX
Schema version:    0.1.A
Schema date:       January 25, 2017

Code list name:    BusinessRoleCode
Code list agency:  ebix 
Code list version: 0.1.A

Copyright (C) ebIX (2010). All Rights Reserved.

This document is created by using the ebIX Transformation Tool version of November 2016.

This document and translations of it may be copied and furnished to others,
and derivative works that comment on or otherwise explain it or assist in
its implementation may be prepared, copied, published and distributed, in
whole or in part, without restriction of any kind, provided that the above
copyright notice and this paragraph are included on all such copies and
derivative works. However, this document itself may not be modified in any
way, such as by removing the copyright notice or references to ebIX, except
as needed for the purpose of developing ebIX specifications, in which case
the procedures for copyrights defined in the UN/CEFACT Intellectual Property
Rights document must be followed, or as required to translate it into
languages other than English.
The limited permissions granted above are perpetual and will not be revoked
by ebIX or its successors or assigns.
This document and the information contained herein is provided on an "AS IS"
basis and ebIX DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT
NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT
INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
FOR A PARTICULAR PURPOSE.
-->
<xsd:schema
    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns:bcl260_000012_01A="un:unece:260:data:EEM"
    xmlns:ccts="urn:un:unece:uncefact:documentation:common:3:standard:CoreComponentsTechnicalSpecification:3"
    xmlns:xbt="urn:un:unece:uncefact:data:common:1:draft"
    targetNamespace="un:unece:260:data:EEM"
    elementFormDefault="qualified"
    attributeFormDefault="unqualified"
    version="0.1.A">
    <!-- ================================================================================ -->
    <!-- ==== Imports                                                                ==== -->
    <!-- ================================================================================ -->
    <!-- ================================================================================ -->
    <!-- ==== Root element for this code list                                        ==== -->
    <!-- ================================================================================ -->
    <xsd:element name="SubsetBusinessRoleCode" 
        type="bcl260_000012_01A:SubsetBusinessRoleCodeContentType"/>

    <!-- ================================================================================ -->
    <!-- ==== Content type for this code list                                        ==== -->
    <!-- ================================================================================ -->
    <xsd:simpleType name="SubsetBusinessRoleCodeContentType">
        <xsd:restriction base="xsd:token">
        <xsd:enumeration value="DDE">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DDE</ccts:Name>
                 <ccts:Description>Metered data collector</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DDK">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DDK</ccts:Name>
                 <ccts:Description>Balance Responsible Party</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DDM">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DDM</ccts:Name>
                 <ccts:Description>Grid access provider</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DDQ">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DDQ</ccts:Name>
                 <ccts:Description>Balance power supplier</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DDX">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DDX</ccts:Name>
                 <ccts:Description>Imbalance settlement responsible party</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DDZ">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DDZ</ccts:Name>
                 <ccts:Description>Metering point administrator</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DEA">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DEA</ccts:Name>
                 <ccts:Description>Metered data aggregator</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DEB">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DEB</ccts:Name>
                 <ccts:Description>Meter Operator</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DEC">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DEC</ccts:Name>
                 <ccts:Description>Party connected to the grid</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="DED">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>DED</ccts:Name>
                 <ccts:Description>Profile Maintance Party</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="EZ">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>EZ</ccts:Name>
                 <ccts:Description>System operator</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="GD">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>GD</ccts:Name>
                 <ccts:Description>Producer</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="II">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>II</ccts:Name>
                 <ccts:Description>Billing Agent</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="IT">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>IT</ccts:Name>
                 <ccts:Description>Installation on site</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="IV">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>IV</ccts:Name>
                 <ccts:Description>address, invoicee</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="MAD">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>MAD</ccts:Name>
                 <ccts:Description>Meter administrator</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="MDR">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>MDR</ccts:Name>
                 <ccts:Description>Metered data responsible</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="MOP">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>MOP</ccts:Name>
                 <ccts:Description>Market operator</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="PQ">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>PQ</ccts:Name>
                 <ccts:Description>Certifying Party</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="RCA">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>RCA</ccts:Name>
                 <ccts:Description>Reconciliation Accountable</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="RCR">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>RCR</ccts:Name>
                 <ccts:Description>Reconciliation Responsible</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="TCR">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>TCR</ccts:Name>
                 <ccts:Description>Transport capacity responsible party</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        <xsd:enumeration value="UD">
           <xsd:annotation>
              <xsd:documentation xml:lang="en">
                 <ccts:Name>UD</ccts:Name>
                 <ccts:Description>Consumer</ccts:Description>
              </xsd:documentation>
           </xsd:annotation>
        </xsd:enumeration>
        </xsd:restriction>
    </xsd:simpleType>
</xsd:schema>  
